Suporte » Instalando o WordPress » Instalador do WordPress gerando wp-config.php errado

  • Resolvido viewup

    (@viewup)



    Estou usando o instalador do WordPress.

    basicamente, o primeiro passo, que gera a conexão com o banco de dados, não está sendo configurado. O instalador gera o arquivo wp-config.php que é igual ao wp-config-sample.php (campos não preenchidos como ‘coloque a sua frase única aqui’, ‘nome_do_banco_de_dados_aqui’, etc). Porém não configura as variáveis de ambiente como o BD, senhas, etc.

    Ao finalizar o primeiro passo recebo o aviso de conexão sucedida e vou para o segundo passo. Como o arquivo gerado está errado, recebo o aviso de falha na conexão com o BD.

    Estou tendo de configurar o wp-config.php manualmente.

    Alguém sabe o motivo deste problema?

    A pasta de instalação do WordPress está com o usuário apache configurado e permissão 777 para testes.

Visualizando 11 respostas - 1 até 11 (de um total de 11)
  • Moderador Miriam de Paula

    (@miriamdepaula)

    Abre o arquivo wp-config.php em seu editor de PHP preferido e informa os dados que faltam. Depois envia o arquivo de volta, via FTP.

    Como eu disse, o arquivo wp-config.php está exatamente igual ao wp-config-sample.php.

    O que eu queria saber era o motivo do problema. Se é alguma configuração no servidor ou problema no WordPress.

    Faço muitas instalações para testes de clientes então o Wizard me é bem útil.

    Estou em ambiente de desenvolvimento local então posso mudar configurações no servidor.

    Exemplo:

    /** O nome do banco de dados do WordPress */
    define( 'DB_NAME', 'nome_do_banco_de_dados_aqui' );
    
    /** Usuário do banco de dados MySQL */
    define( 'DB_USER', 'nome_de_usuario_aqui' );
    
    /** Senha do banco de dados MySQL */
    define( 'DB_PASSWORD', 'senha_aqui' );
    
    /** Nome do host do MySQL */
    define( 'DB_HOST', 'localhost' );
    
    /** Charset do banco de dados a ser usado na criação das tabelas. */
    define( 'DB_CHARSET', 'utf8' );
    
    /** O tipo de Collate do banco de dados. Não altere isso se tiver dúvidas. */
    define( 'DB_COLLATE', '' );
    
    /**#@+
     * Chaves únicas de autenticação e salts.
     *
     * ...
     *
     * @since 2.6.0
     */
    define( 'AUTH_KEY',         'coloque a sua frase única aqui' );
    define( 'SECURE_AUTH_KEY',  'coloque a sua frase única aqui' );
    define( 'LOGGED_IN_KEY',    'coloque a sua frase única aqui' );
    define( 'NONCE_KEY',        'coloque a sua frase única aqui' );
    define( 'AUTH_SALT',        'coloque a sua frase única aqui' );
    define( 'SECURE_AUTH_SALT', 'coloque a sua frase única aqui' );
    define( 'LOGGED_IN_SALT',   'coloque a sua frase única aqui' );
    define( 'NONCE_SALT',       'coloque a sua frase única aqui' );
    • Esta resposta foi modificada 12 meses atrás por  viewup.
    • Esta resposta foi modificada 12 meses atrás por  viewup.

    Também estou com o mesmo problema e o mais estranho é que ele não ocorria anteriormente, sei que editando o arquivo manualmente consigo contornar o problema mas queria entender porque o assistente de instalação nativo do wordpress não está mais gerando o arquivo wp-config corretamente como sempre fez.

    Fiz testes em outros ambientes e o problema continua. É possível que seja um problema relacionado ao auto-instalador, mais especificamente na versão traduzida (talvez algo só da pt-br)…

    O problema se encontra na versão traduzida do wp-config-sample.php (esse arquivo é usado como base na geração do wp-config.php). Alguém inseriu vários espaçamentos e tabulações que não existiam no original, quebrando o script de instalação, pois a expressão regular que encontrava as linhas que deveriam ser alteradas, agora não o faz.

    Tentou fazer uma instalação via FTP, para saber se é o instalador?

    @martoandre se você fala de uma instalação manual sim modificando o arquivo wp-config manualmente irá funcionar. Isto ocorre apenas com o instalador.

    @zenetx matou a charada, fiz o upload da instalação wordpress pt-BR, apaguei o arquivo wp-config-sample.php, upei o arquivo wp-config-sample.php da versão original (inglês) do instalador do wordpress e funcionou que foi uma belezinha.
    Mancada da equipe de tradução, se algum admin ver isso por favor repasse esse post pra equipe de tradução para que eles possam corrigir.

    • Esta resposta foi modificada 10 meses, 2 semanas atrás por  w8digital.
    • Esta resposta foi modificada 10 meses, 2 semanas atrás por  w8digital.
    Moderador Claudio Sanches

    (@claudiosanches)

    Acabei de corrigir isso, deve ser includo nos pacotes de download em breve.

    pessoal após 16 horas resolvi o meu, mexendo apenas no item da senha, deixei assim e entrou,

    /** Senha do banco de dados MySQL */
    define( ‘DB_PASSWORD’, ” );

    Coisa linda @claudiosanches, obrigado pela força o/

Visualizando 11 respostas - 1 até 11 (de um total de 11)
  • O tópico ‘Instalador do WordPress gerando wp-config.php errado’ está fechado para novas respostas.